part of 'communities_bloc.dart';

enum CommunitiesStatus { initial, loading, success, failure }

final class CommunitiesState extends Equatable {
  const CommunitiesState({
    this.status = CommunitiesStatus.initial,
    this.communities = const [],
    this.errorMessage,
  });

  final CommunitiesStatus status;
  final List<CommunityModel> communities;
  final String? errorMessage;

  @override
  List<Object?> get props => [status, communities, errorMessage];
}
